#!/bin/sh -e

# called by uscan with '--upstream-version' <version> <file>
DIR=ezmorph-$2
TAR=../libezmorph-java_$2.orig.tar.gz

# clean up the upstream tarball
mkdir $DIR
(cd $DIR && jar xf ../$3)
tar -c -z -f $TAR $DIR
rm -rf $DIR $3

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
    . .svn/deb-layout
    mv $TAR $origDir
    echo "moved $TAR to $origDir"
fi

exit 0
